<div *ngIf="errors">
  <app-erreur [erreur]="errors"></app-erreur>
</div>
<div id="list-page">
  <mat-form-field>
    <input (keyup)="term$.next($event.target.value)" [(ngModel)]="searchbox" autocomplete="off" autofocus matInput
           placeholder="Rechercher un adhérent" type="search">
  </mat-form-field>
  <mat-spinner *ngIf="loading"></mat-spinner>
  <div *ngIf="lastSearchResult" class="searchResults">
    <div class="list">
      <mat-card
        (click)="select(member)"
        *ngFor="let member of lastSearchResult.results"
        [class.invalid]="!member.has_valid_membership">
        <span>N°{{member.id}}: {{member.first_name}} {{member.last_name}}</span>
        <mat-chip-list *ngIf="member.student_profile">
          <mat-chip>{{member.student_profile.department}}</mat-chip>
          <mat-chip>{{member.student_profile.study_year}}</mat-chip>
        </mat-chip-list>
      </mat-card>
    </div>
    <div *ngIf="lastSearchResult.hasNext" class="weHaveMore">
      Affichage limité à {{lastSearchResult.page_size}} résultats, il y en a {{lastSearchResult.count}} disponibles.
      Précisez la recherche ...
    </div>
  </div>
</div>
